=== arch/mips/sgi-ip32/Makefile ===
#
# Makefile for the SGI specific kernel interface routines
# under Linux.
#

obj-y	+= ip32-berr.o ip32-irq.o ip32-platform.o ip32-setup.o ip32-reset.o \
	   crime.o ip32-memory.o
