=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper, cpio, kmod, python, python-six, lzma [armel], kernel-wedge, quilt, patchutils, bc, gcc-4.9-backport (>= 4.9.2-10+deb7u1) [amd64 i386], gcc-4.6 [armel armhf ia64 mips mipsel powerpc s390 s390x sparc]
Build-Depends-Indep: xz-utils, xmlto
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Homepage: https://www.kernel.org/

Package: linux-source-3.16
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.16 with Debian patches
 This package provides source code for the Linux kernel version 3.16. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: foreign

Package: linux-doc-3.16
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.16
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.16.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.16/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: foreign

Package: linux-manual-3.16
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.16
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: foreign

Package: linux-support-3.16.0-11
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}, python-six
Description: Support files for Linux 3.16
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-3.16.0-11-all
Architecture: amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Depends: linux-headers-3.16.0-11-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.16.0-11-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.16.0-11-amd64 (= ${binary:Version})
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: kernel-image, zlib-modules
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: nic-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-3.16.0-11-amd64-di, nic-shared-modules-3.16.0-11-amd64-di, core-modules-3.16.0-11-amd64-di, i2c-modules-3.16.0-11-amd64-di, crc-modules-3.16.0-11-amd64-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: nic-wireless-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.16.0-11-amd64-di, nic-shared-modules-3.16.0-11-amd64-di, core-modules-3.16.0-11-amd64-di, usb-modules-3.16.0-11-amd64-di, mmc-modules-3.16.0-11-amd64-di, pcmcia-modules-3.16.0-11-amd64-di, crc-modules-3.16.0-11-amd64-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: nic-shared-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.16.0-11-amd64-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: serial-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.16.0-11-amd64-di, pcmcia-modules-3.16.0-11-amd64-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: usb-serial-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.16.0-11-amd64-di, usb-modules-3.16.0-11-amd64-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: ppp-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-3.16.0-11-amd64-di, serial-modules-3.16.0-11-amd64-di, crc-modules-3.16.0-11-amd64-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: pata-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: pata-modules
Depends: kernel-image-3.16.0-11-amd64-di, ata-modules-3.16.0-11-amd64-di
Description: PATA drivers
 This package contains PATA drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: cdrom-core-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: cdrom-core-modules
Depends: kernel-image-3.16.0-11-amd64-di, scsi-core-modules-3.16.0-11-amd64-di, isofs-modules-3.16.0-11-amd64-di
Description: CDROM support
 This package contains core CDROM support for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: firewire-core-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: firewire-core-modules
Depends: kernel-image-3.16.0-11-amd64-di, scsi-core-modules-3.16.0-11-amd64-di, crc-modules-3.16.0-11-amd64-di
Description: Core FireWire drivers
 This package contains core FireWire drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: scsi-core-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-core-modules
Depends: kernel-image-3.16.0-11-amd64-di
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: scsi-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-modules
Depends: kernel-image-3.16.0-11-amd64-di, scsi-core-modules-3.16.0-11-amd64-di, scsi-common-modules-3.16.0-11-amd64-di, cdrom-core-modules-3.16.0-11-amd64-di, core-modules-3.16.0-11-amd64-di, ata-modules-3.16.0-11-amd64-di
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: scsi-common-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-common-modules
Depends: kernel-image-3.16.0-11-amd64-di, scsi-core-modules-3.16.0-11-amd64-di, cdrom-core-modules-3.16.0-11-amd64-di
Description: Very common SCSI drivers
 This package contains very common SCSI drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: scsi-extra-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-extra-modules
Depends: scsi-modules-3.16.0-11-amd64-di, scsi-core-modules-3.16.0-11-amd64-di
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.  This includes
 SCSI RAID drivers, and some of the less common SCSI controllers.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: loop-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: loop-modules
Depends: kernel-image-3.16.0-11-amd64-di
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: btrfs-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: btrfs-modules
Depends: kernel-image-3.16.0-11-amd64-di, core-modules-3.16.0-11-amd64-di, crc-modules-3.16.0-11-amd64-di, md-modules-3.16.0-11-amd64-di
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: ext4-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-3.16.0-11-amd64-di, core-modules-3.16.0-11-amd64-di, crc-modules-3.16.0-11-amd64-di
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: isofs-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: isofs-modules
Depends: kernel-image-3.16.0-11-amd64-di
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: jfs-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: jfs-modules
Depends: kernel-image-3.16.0-11-amd64-di
Description: JFS filesystem support
 This package contains the JFS filesystem module for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-11-amd64

Package: ntfs-modules-3.16.0-11-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: ntfs-modules
